Bug 76259 - EDITING: Undo: Tables vs numbered list
Summary: EDITING: Undo: Tables vs numbered list
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2014-03-17 11:12 UTC by Dr. David Alan Gilbert
Modified: 2019-04-24 02:49 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
A document with a table and numbered list (12.34 KB, application/vnd.oasis.opendocument.text)
2014-03-17 11:12 UTC, Dr. David Alan Gilbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. David Alan Gilbert 2014-03-17 11:12:32 UTC
Created attachment 95925 [details]
A document with a table and numbered list

Problem description: 
Undoing an (accidental) paste of a table into a numbered list leaves the list with one extra entry

Steps to reproduce:
1. Start with attached simple example
2. Copy the whole table (Go to the top left corner, when the mouse pointer turns into right pointing diagonal click, Edit->copy)
3. Click after the 2 before Another heading - so the cursor is flashing just after that 2
4. Edit->Paste - table appears before the heading (reasonable?)
5. Ctrl-z to undo

Current behavior:
I see the result as:
  1 Heading!
    the table
  2 <a blank entry>
  3 The heading that was originally 2

There are no more undo steps available, and closing the document doesn't ask me to save.

Expected behavior:
  Exactly as it was prior to the paste - i.e. the last numbered entry should be 2
Operating System: Fedora
Version: 4.2.0.4 release
Comment 1 Dominique Boutry 2014-03-27 08:50:17 UTC
Reproduced with LibO 4.2.2.1 on Win7.

The "list" is the document outline. Before the paste, there are already 3 entries, from which the second one has a "no numbering" direct attribute. The copy occurs on a table which resides on this heading component (the second one).

The paste copies it in the third one, which become corrupted at this point (the "outline numbering" is no longer at the beginning of the component, it is interverted with the copied table).

It is therefore not surprising that the undo be unable to restore the previous situation. Set to NEW
Comment 2 Joel Madero 2015-05-02 15:44:18 UTC Comment hidden (obsolete)
Comment 3 Dr. David Alan Gilbert 2015-05-05 10:24:05 UTC
Still present in 4.4.3.2-1.fc22 (Fedora 22 x86-64)
Comment 4 QA Administrators 2016-09-20 09:37:56 UTC Comment hidden (obsolete)
Comment 5 Dr. David Alan Gilbert 2016-09-20 09:53:47 UTC
Still present in libreoffice-5.1.5.2-6.fc24.x86_64 (Fedora 24, x86-64)
Comment 6 QA Administrators 2018-04-22 02:32:24 UTC Comment hidden (obsolete)
Comment 7 Dr. David Alan Gilbert 2018-04-23 09:11:16 UTC
Still present in 
Version: 6.0.3.2
Build ID: 6.0.3.2-1.fc28

(Fedora 28's libreoffice-6.0.3.2-1.fc28.x86_64 package)
Comment 8 QA Administrators 2019-04-24 02:49:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug